View Issue Details

IDProjectCategoryView StatusLast Update
0005047Talerdocumentationpublic2017-06-06 14:18
ReporterMarcello StanisciAssigned ToMarcello Stanisci 
PriorityurgentSeveritytextReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.3Fixed in Version0.3 
Summary0005047: reorganizing content
DescriptionThe non RESTful API Sphinx code must be spread into the following manuals:
(and possibly other content should be killed)

* exchange/auditor operator manual
* merchant backend operator manual
* merchant frontend tutorials
* wallet developer
* "onboarding" documentation - deployment instructions

All the documentation is available from a unique entry point: docs.taler.net.

This entry point then will have the following paths:

/api - RESTful API
/wallet - wallet developer manual
/merchant/backend - merchant backend operator manual
/merchant/frontend/<LANG> - merchant frontend tutorial for language <LANG>
/exchange - exchange operator manual
/onboarding - deployment, onboarding, etc.
/code/<COMPONENT> - <COMPONENT>'s HTMLized doxygen

NOTE1 api.taler.net should redirect to docs.taler.net
NOTE2 make exhcange's doc/taler-exchange.texi and doc/manual/manual.texi *one* file.
TagsNo tags attached.

Activities

Marcello Stanisci

2017-05-31 09:17

manager   ~0012195

Last edited: 2017-05-31 09:18

View 2 revisions

What if we use the 'landing' repo to host some index.html for all the documentation?
This way, each part does its proper job - namely the api repo doesn't have to now links
about other documentation parts that have nothing to do with 'api'.

After all, docs.taler.net *is* a landing page (for documentation).

Christian Grothoff

2017-05-31 09:37

manager   ~0012196

Yes, landing/docs/index.html would seem like a good place.

Maybe move the existing landing logic to landing/demo/.

Christian Grothoff

2017-05-31 09:38

manager   ~0012197

Oh, and maybe do support i18n, just like the existing landing logic, so index.html.j2...

Marcello Stanisci

2017-06-02 18:58

manager   ~0012208

/api setup, paths beginning with /_static give 404.

Marcello Stanisci

2017-06-05 21:39

manager   ~0012232

The homepage (and all nginx routes) is (are) there. What's missing is: i18n and some fancier styling for it.

Please NOTE that the buildbot worker for docs updating is still open issue.

Christian Grothoff

2017-06-05 22:59

manager   ~0012233

Filed the remaining issues as 0005067.

Issue History

Date Modified Username Field Change
2017-05-30 14:46 Marcello Stanisci New Issue
2017-05-30 14:46 Marcello Stanisci Assigned To => Marcello Stanisci
2017-05-30 14:46 Marcello Stanisci Status new => assigned
2017-05-30 17:22 Marcello Stanisci Description Updated View Revisions
2017-05-31 09:17 Marcello Stanisci Note Added: 0012195
2017-05-31 09:18 Marcello Stanisci Note Edited: 0012195 View Revisions
2017-05-31 09:37 Christian Grothoff Note Added: 0012196
2017-05-31 09:38 Christian Grothoff Note Added: 0012197
2017-06-01 22:55 Christian Grothoff Severity minor => text
2017-06-02 18:58 Marcello Stanisci Note Added: 0012208
2017-06-04 21:18 Christian Grothoff Priority normal => urgent
2017-06-04 21:18 Christian Grothoff Product Version => SVN HEAD
2017-06-04 21:18 Christian Grothoff Target Version => 0.3
2017-06-05 21:39 Marcello Stanisci Note Added: 0012232
2017-06-05 22:59 Christian Grothoff Note Added: 0012233
2017-06-05 22:59 Christian Grothoff Status assigned => resolved
2017-06-05 22:59 Christian Grothoff Resolution open => fixed
2017-06-05 22:59 Christian Grothoff Fixed in Version => 0.3
2017-06-06 14:18 Christian Grothoff Status resolved => closed